Package org.apache.tools.ant.taskdefs.rmic

# Interface RmicAdapter

All Known Implementing Classes:
  `DefaultRmicAdapter`, `ForkingSunRmic`, `KaffeRmic`, `SunRmic`, `WLRmic`, `XNewRmic`

public interface RmicAdapter
The interface that all rmic adapters must adhere to.

A rmic adapter is an adapter that interprets the rmic's parameters in preparation to be passed off to the compiler this adapter represents. As all the necessary values are stored in the Rmic task itself, the only thing all adapters need is the rmic task, the execute command and a parameterless constructor (for reflection).

Since:
  Ant 1.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `execute()`
  Call the rmic compiler.
  `Path`
  `getClasspath()`
  The CLASSPATH this rmic process will use.
  `FileNameMapper`
  `getMapper()`
  Maps source class files to the files generated by this rmic implementation.
  `void`
  `setRmic(Rmic attributes)`
  Sets the rmic attributes, which are stored in the Rmic task.

- ## Method Details

  - ### setRmic

    void setRmic(Rmic attributes)
    Sets the rmic attributes, which are stored in the Rmic task.
    Parameters:
      `attributes` - the rmic attributes to use

  - ### execute

    boolean execute() throws BuildException
    Call the rmic compiler.
    Returns:
      true if has the compilation been successful
    Throws:
      `BuildException` - on error

  - ### getMapper

    FileNameMapper getMapper()
    Maps source class files to the files generated by this rmic implementation.
    Returns:
      the filename mapper used by this implementation

  - ### getClasspath

    Path getClasspath()
    The CLASSPATH this rmic process will use.
    Returns:
      the classpath this rmic process will use